classification
Title: Small typo in Thread.join docs
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: beautifuljose, docs@python, evan_, martin.panter, python-dev, rcorre
Priority: normal Keywords: patch

Created on 2016-12-13 13:38 by rcorre, last changed 2018-10-22 20:13 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
fixdoc.patch rcorre, 2016-12-13 13:38 Patch to fix typo review
fixdoc2.patch rcorre, 2016-12-14 13:48 Alternate patch review
Messages (5)
msg283101 - (view) Author: Ryan (rcorre) Date: 2016-12-13 13:38
There is a '--' before a ',' that doesn't make sense here: https://docs.python.org/3/library/threading.html#threading.Thread.join
msg283187 - (view) Author: Evan Andrews (evan_) * Date: 2016-12-14 11:09
I think the patch should remove the comma, not the double dash. This is a parenthetical remark and should end the same way it starts.

See https://www.grammarly.com/handbook/punctuation/dash/2/dash-parenthetical-information/
msg283191 - (view) Author: Ryan (rcorre) Date: 2016-12-14 13:48
Removing the comma instead of the double-dash
msg283926 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-24 08:18
New changeset 9347d0b2ee08 by Martin Panter in branch '3.5':
Issue #28960: Drop comma attached to dash in Thread.join() description
https://hg.python.org/cpython/rev/9347d0b2ee08

New changeset d70fcf1866ad by Martin Panter in branch '3.6':
Issue #28960: Merge Thread.join() doc from 3.5
https://hg.python.org/cpython/rev/d70fcf1866ad

New changeset cefcfacd87e4 by Martin Panter in branch 'default':
Issue #28960: Merge Thread.join() doc from 3.6
https://hg.python.org/cpython/rev/cefcfacd87e4
msg283928 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-12-24 08:57
I agree the second patch is more correct. This undoes the change as it was introduced in revision c4cf1b886d6b and matches the Python 2 text.
History
Date User Action Args
2018-10-22 20:13:19martin.pantersetmessages: - msg328245
2018-10-22 10:52:03beautifuljosesetnosy: + beautifuljose
messages: + msg328245
2016-12-24 08:57:46martin.pantersetstatus: open -> closed

nosy: + martin.panter
messages: + msg283928

resolution: fixed
stage: commit review -> resolved
2016-12-24 08:18:25python-devsetnosy: + python-dev
messages: + msg283926
2016-12-14 13:48:47rcorresetfiles: + fixdoc2.patch

messages: + msg283191
2016-12-14 11:09:40evan_setnosy: + evan_
messages: + msg283187
2016-12-13 19:24:27martin.pantersetstage: commit review
versions: + Python 3.5, Python 3.6
2016-12-13 13:38:04rcorrecreate